"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.destination = void 0;
const tslib_1 = require("tslib");
const shim_1 = require("@segment/browser-destination-runtime/shim");
const customAttributesSync_1 = tslib_1.__importDefault(require("./customAttributesSync"));
const eventsSync_1 = tslib_1.__importDefault(require("./eventsSync"));
exports.destination = {
    name: 'Contentstack Web',
    slug: 'contentstack-web',
    mode: 'device',
    description: 'Sync web event and user profile data from Segment to Contentstack',
    settings: {
        personalizeProjectId: {
            label: 'Personalize project ID',
            type: 'string',
            required: true,
            description: "Your Personalize project ID to which Segment's data should be synced."
        },
        personalizeEdgeApiBaseUrl: {
            label: 'Personalize Edge API base URL',
            type: 'string',
            required: true,
            description: 'Your region-based personalize-edge API base URL.'
        }
    },
    initialize: async () => {
        return {};
    },
    actions: {
        customAttributesSync: customAttributesSync_1.default,
        eventsSync: eventsSync_1.default
    }
};
exports.default = (0, shim_1.browserDestination)(exports.destination);
//# sourceMappingURL=index.js.map